glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value_Boxed< T > Class Template Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_Boxed< T >:
[legend]

## Public Types

typedef T | CppType
typedef T::BaseObjectType* | CType

## Public Member Functions

void | set (const CppType& data)
CppType | get () const

## Static Public Member Functions

static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members

Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void* data)
void* | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

template <class T >

typedef T Glib::Value_Boxed< T >::CppType

template <class T >

typedef T::BaseObjectType* Glib::Value_Boxed< T >::CType

## Member Function Documentation

template <class T >

CppType Glib::Value_Boxed< T >::get | ( |  | ) | const

inline

template <class T >

void Glib::Value_Boxed< T >::set | ( | const CppType& | data | ) |

inline

template <class T >

static GType Glib::Value_Boxed< T >::value_type | ( |  | ) |

inline static